Stripe Customer Portal URL (billing.portal)
POST
/v1/billing/portal
const url = 'https://api.hardstate.net/v1/billing/portal';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"request":{"op":"billing.checkout","issuer":"example","key":"example","ts":"2026-04-15T12:00:00Z","nonce":"example","params":{}},"sig":{"kind":"passkey","authenticatorData":"example","clientDataJSON":"example","signature":"example"}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.hardstate.net/v1/billing/portal \ --header 'Content-Type: application/json' \ --data '{ "request": { "op": "billing.checkout", "issuer": "example", "key": "example", "ts": "2026-04-15T12:00:00Z", "nonce": "example", "params": {} }, "sig": { "kind": "passkey", "authenticatorData": "example", "clientDataJSON": "example", "signature": "example" } }'Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
Not a log event: an admin’s instruction to the operator. The signed hash is sha256(“hardstate/operator/v1” ‖ JCS(request)); accepted within 5 minutes of ts, once per nonce, from a live admin key of the issuer.
object
request
required
object
op
required
issuer
required
string
key
required
The signing admin key id
string
ts
required
string format: date-time
nonce
required
16 random bytes
string
params
object
Responses
Section titled “Responses”{ url }
No billing account yet
HardState is a Zevlat Intelligence venture. © 2026 Zevlat Intelligence.